org.eclipse.rdf4j.common.text

## Class ASCIIUtil

- java.lang.Object
- - org.eclipse.rdf4j.common.text.ASCIIUtil

-     public class ASCIIUtil
      extends Object

  Utility methods for ASCII character checking.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASCIIUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isHex(int c)` Check whether the supplied character is a Hexadecimal character.
    `static boolean` | `isLetter(int c)` Checks whether the supplied character is a letter.
    `static boolean` | `isLetterOrNumber(int c)` Checks whether the supplied character is a letter or number.
    `static boolean` | `isLowerCaseLetter(int c)` Checks whether the supplied character is an lower-case letter.
    `static boolean` | `isNumber(int c)` Checks whether the supplied character is a number.
    `static boolean` | `isUpperCaseLetter(int c)` Checks whether the supplied character is an upper-case letter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ASCIIUtil

          public ASCIIUtil()

  - ### Method Detail

    - #### isLetterOrNumber

          public static boolean isLetterOrNumber(int c)

      Checks whether the supplied character is a letter or number.
      Parameters:
        `c` - character
      Returns:
        true if the character is a letter or a number
      See Also:
        `isLetter(int)`, `isNumber(int)`

    - #### isLetter

          public static boolean isLetter(int c)

      Checks whether the supplied character is a letter.
      Parameters:
        `c` - character
      Returns:
        true if the character is in the range [a-z] or [A-Z]

    - #### isUpperCaseLetter

          public static boolean isUpperCaseLetter(int c)

      Checks whether the supplied character is an upper-case letter.
      Parameters:
        `c` - character
      Returns:
        true if the character is in the range [A-Z]

    - #### isLowerCaseLetter

          public static boolean isLowerCaseLetter(int c)

      Checks whether the supplied character is an lower-case letter.
      Parameters:
        `c` - character
      Returns:
        true if the character is in the range [a-z]

    - #### isNumber

          public static boolean isNumber(int c)

      Checks whether the supplied character is a number.
      Parameters:
        `c` - character
      Returns:
        true if the character is in the range [0-9]

    - #### isHex

          public static boolean isHex(int c)

      Check whether the supplied character is a Hexadecimal character.
      Parameters:
        `c` - character
      Returns:
        `true` if c is a hexadecimal character, `false` otherwise.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.